List generated webhook events
curl --request GET \
--url https://api-sandbox.unifystays.com/webhooks/events \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.unifystays.com/webhooks/events"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.unifystays.com/webhooks/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "evt_3bc2fa3d35cc4bbf98359b3fb85a4fb2",
"org_id": "org_123",
"event_type": "booking.confirmed",
"schema_version": 1,
"aggregate_type": "booking",
"aggregate_id": "ubk_eGQ0dW9uV1Vi",
"aggregate_version": 2,
"payload": {
"id": "evt_3bc2fa3d35cc4bbf98359b3fb85a4fb2",
"type": "booking.confirmed",
"schema_version": 1,
"created_at": "2026-08-08T08:30:00.000Z",
"organization_id": "org_123",
"data": {
"object": {
"object": "booking",
"id": "ubk_eGQ0dW9uV1Vi",
"version": 2,
"status": "CONFIRMED",
"is_terminal": true
},
"previous_status": "PROCESSING"
}
},
"occurred_at": "2026-08-08T08:30:00.000Z",
"fanout_at": "2026-08-08T08:30:00.100Z",
"created_at": "2026-08-08T08:30:00.000Z"
}
],
"meta": {
"total": 42,
"page": 1,
"limit": 20,
"total_pages": 3
}
}Webhook logs
List Webhook Events
Browse immutable webhook events generated for your organization.
GET
/
webhooks
/
events
List generated webhook events
Filter by exact
event_type or aggregate_id. For booking events, the aggregate
ID is the Unifystays booking_id.
Results are newest first and include the payload delivered to subscribed
endpoints. Event and completed delivery records are retained for 90 days.Authorizations
Environment-specific API key created in the Unifystays portal
Headers
Query Parameters
Return only this exact event type.
Example:
"booking.confirmed"
Return records for one aggregate, such as a Unifystays booking ID.
Example:
"ubk_eGQ0dW9uV1Vi"
Page number, starting at 1.
Records per page.
⌘I